import React from 'react';
import { Moment } from 'moment';
import { IProject_Output, ITimeRecord } from '@admin-layout/timetracker-core';
interface IRecord {
    data: Array<ITimeRecord>;
    payRate: number;
    billRate: number;
}
interface IRecordsByUserId extends Partial<Record<string, IRecord>> {
}
interface IReportsProps {
    range: {
        start: Moment;
        end: Moment;
    };
    users: any;
    projects: Array<IProject_Output>;
    records: Array<ITimeRecord>;
    setRange: Function;
    updateConfiguration: Function;
    recordsByUserId: IRecordsByUserId;
}
export declare enum GroupBy {
    USER = "user",
    DESCRIPTION = "description",
    PROJECT = "project",
    TAG = "tag"
}
export declare const Reports: React.FC<IReportsProps>;
export {};
//# sourceMappingURL=ReportComponent.d.ts.map