import { IProject_Output, ITimeRecord } from '@admin-layout/timetracker-core';
interface IReportFilter {
    projects: Array<IProject_Output>;
    setFilteredProjects: Function;
    records: Array<ITimeRecord>;
    setFilteredRecords: Function;
}
export declare enum FilterName {
    MEMBER = "member",
    CLIENT = "client",
    PROJECT = "project",
    TASK = "task",
    TAG = "tag",
    STATUS = "status",
    DESCRIPTION = "description"
}
export declare const WITHOUT = "without";
export declare const ReportFilter: (props: IReportFilter) => JSX.Element;
export {};
//# sourceMappingURL=ReportFilter.d.ts.map