import*as React from'react';import {useFela}from'react-fela';import {Select,Card,Table}from'antd';import {GroupBy}from'./ReportComponent.js';const { Option } = Select;
const ReportTable = (props) => {
    const { setGroupBy, generateDatasource, generateTableColumns } = props;
    const { css } = useFela();
    const onchangeGroupBy = (value) => {
        setGroupBy(value);
    };
    const tableHeader = (React.createElement("div", { style: { display: 'flex' } },
        React.createElement("div", { className: css(styles.label) }, "Group by:"),
        React.createElement(Select, { className: css(styles.select, styles.capitalize), defaultValue: GroupBy.PROJECT, onChange: onchangeGroupBy },
            React.createElement(Option, { className: css(styles.capitalize), value: GroupBy.PROJECT }, GroupBy.PROJECT),
            React.createElement(Option, { className: css(styles.capitalize), value: GroupBy.USER }, GroupBy.USER),
            React.createElement(Option, { className: css(styles.capitalize), value: GroupBy.DESCRIPTION }, GroupBy.DESCRIPTION),
            React.createElement(Option, { className: css(styles.capitalize), value: GroupBy.TAG }, GroupBy.TAG))));
    return (React.createElement(Card, { className: css(styles.tableCard), title: '', extra: tableHeader },
        React.createElement(Table, { rowKey: "id", style: { width: '100%', overflowX: 'auto' }, dataSource: generateDatasource(), columns: generateTableColumns(), pagination: { defaultPageSize: 3 } })));
};
const styles = {
    tableCard: () => ({
        '@media (min-width: 800px)': {
            width: '50%',
            marginRight: '25px',
        },
        '& .ant-card-extra': {
            padding: '12px 0',
        },
        marginTop: '25px',
    }),
    label: () => ({
        margin: 'auto',
        marginRight: '5px',
        color: '#696868',
    }),
    capitalize: () => ({
        textTransform: 'capitalize',
    }),
    select: () => ({
        width: '120px',
    }),
};export{ReportTable};//# sourceMappingURL=ReportTable.js.map
