export declare const styleSheet: {
    pageHeaderStyle: ({ theme }: {
        theme: any;
    }) => {
        position: string;
        '& .theme-primary': {
            backgroundColor: any;
            borderColor: any;
        };
        '& .header-wrapper': {
            display: string;
            alignItems: string;
            justifyContent: string;
            marginBottom: string;
        };
        '@media screen and (max-width: 768px)': {
            '& .header-wrapper': {
                flexDirection: string;
                marginBottom: string;
            };
        };
        '& .header-wrapper__title': {
            fontSize: string;
            lineHeight: string;
            margin: string;
            color: string;
        };
        '@media screen and (max-width: 500px)': {
            '& .header-wrapper__child': {
                display: string;
                flexDirection: string;
                width: string;
            };
            '& .header-wrapper__child-button:nth-child(2)': {
                marginLeft: string;
                marginTop: string;
            };
        };
        '& .header-wrapper__child-button': {
            display: string;
            padding: string;
            fontStyle: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            color: string;
            backgroundColor: any;
            outline: string;
            cursor: string;
            borderRadius: string;
            textDecoration: string;
        };
        '@media screen and (max-width: 414px)': {
            '& .header-wrapper__child-button': {
                padding: string;
                fontSize: string;
            };
            '& .header-wrapper__title': {
                fontSize: string;
            };
        };
        '& .header-wrapper__child-button:nth-child(2)': {
            marginLeft: string;
        };
    };
};
//# sourceMappingURL=style.d.ts.map