import React from 'react';
import { ITimeRecordRequest, IProjects as IProject, ITask } from '@admin-layout/timetracker-core';
import { INewTimeRecord } from '../../containers/TimerPage/TimerList';
export interface ITimerActivityItemProps {
    timeRecord?: INewTimeRecord;
    timeRecords: INewTimeRecord[];
    projects: IProject[];
    tasks: Array<ITask>;
    disablePlay?: boolean;
    disableDelete?: boolean;
    removeTimeRecord: (recordId: string) => void;
    updateTimeRecord: (recordId: string, request: ITimeRecordRequest) => void;
    handlePlayTimer: (timeRecord: INewTimeRecord) => void;
    createTask: Function;
}
export declare const TimerActivityItem: React.FC<ITimerActivityItemProps>;
//# sourceMappingURL=index.d.ts.map