export declare const enum TimeRoundingUpToValue {
    IN_MINUTES_15 = 900,
    IN_MINUTES_1 = 60,
    IN_MINUTES_5 = 300,
    IN_MINUTES_6 = 360,
    IN_MINUTES_10 = 600,
    IN_MINUTES_12 = 720,
    IN_MINUTES_30 = 1800,
    IN_HOUR_1 = 3600,
    IN_HOUR_4 = 14400
}
export declare const enum TimeRoundedType {
    ROUND_UP_TO = "Round up to",
    ROUND_TO_NEAREST = "Round to nearest",
    ROUND_DOWN_TO = "Roudn down to"
}
export declare enum TRACKER_MODE {
    MANUAL = 0,
    TRACK = 1
}
export declare enum IPreDefineAccountPermissions {
    viewOthersTimeTracker = "organization.timetracker.others.view",
    createOthersTimeTracker = "organization.timetracker.others.create",
    editOthersTimeTracker = "organization.timetracker.others.edit",
    deleteOthersTimeTracker = "organization.timetracker.others.delete",
    manageOthersTimeTracker = "organization.timetracker.others.manage",
    viewSelfTimeTracker = "organization.timetracker.self.view",
    createSelfTimeTracker = "organization.timetracker.self.create",
    editSelfTimeTracker = "organization.timetracker.self.edit",
    deleteSelfTimeTracker = "organization.timetracker.self.delete",
    manageSelfTimeTracker = "organization.timetracker.self.manage"
}
//# sourceMappingURL=enums.d.ts.map