import { ITimesheetResponse } from '@admin-layout/timetracker-core';
import { ITimesheetCreateRequest, IOrgMember } from '@admin-layout/timetracker-core';
declare enum VIEW_MODE {
    OPEN = 0,
    SUBMITTED = 1,
    APPROVED = 2,
    DENYED = 3,
    ALL = 4
}
interface ITimesheetProps {
    timesheets: Array<ITimesheetResponse>;
    viewMode: VIEW_MODE;
    members: Array<IOrgMember>;
    updateTimesheet: (id: string, request: ITimesheetCreateRequest) => void;
}
declare const TimeReport: ({ timesheets, viewMode, members, updateTimesheet }: ITimesheetProps) => JSX.Element;
export default TimeReport;
//# sourceMappingURL=TimeReportTable.d.ts.map