import { Moment } from 'moment';
import { IProjects as IProject, ITimeRecord } from '@admin-layout/timetracker-core';
interface IExportExcel {
    weekStart: Moment;
    approvals: Array<string>;
    unApprovals: Array<string>;
    projectsMap: Map<string, IProject>;
    records: ITimeRecord[];
    getProjectTotalDuration: (projectId: string, approved: boolean) => number;
}
export declare const ExportExcel: (props: IExportExcel) => JSX.Element;
export {};
//# sourceMappingURL=ExportExcel.d.ts.map