import { Moment } from 'moment';
import { IProjects as IProject, IOrgMember } from '@admin-layout/timetracker-core';
import { INewTimeRecord } from '../../TimerPage/TimerList';
interface ITabularCalendarWrapperProps {
    projects: IProject[];
    members: Array<IOrgMember>;
    localizer: any;
    weekStart: Moment;
    selectedUser: string;
    selectedProject: string;
    setPathWeekStart: Function;
}
export interface ITimeRecordWithSplitStatus extends INewTimeRecord {
    isSplit?: boolean;
}
declare const TabularCalendarWrapper: ({ projects, weekStart, selectedUser, members, selectedProject, setPathWeekStart, }: ITabularCalendarWrapperProps) => JSX.Element;
export default TabularCalendarWrapper;
//# sourceMappingURL=index.d.ts.map