import React from 'react';
import { TimeRoundingUpToValue } from '../constants';
import { ITimeRecord } from '@admin-layout/timetracker-core';
export declare const useTimeformat: () => {
    timeFormat: any;
    dateFormat: any;
};
export declare function useLocationQuery(): URLSearchParams;
export declare const useFirstWeekDay: () => {
    day: any;
    value: number;
};
export declare const useRound: () => {
    roundType: string;
    roundValue: TimeRoundingUpToValue;
    rounded: boolean;
    refetchRounded: (variables?: Partial<import("@adminide-stack/core").Exact<{
        input: import("@adminide-stack/core").IPreferencesInput_Input;
        key?: string;
        overrides?: import("@adminide-stack/core").IConfigurationOverrides_Input;
    }>>) => Promise<import("@apollo/client").ApolloQueryResult<import("@adminide-stack/core").IResolveConfigurationQuery>>;
    setRounded: React.Dispatch<React.SetStateAction<boolean>>;
};
export declare const useViewPermissions: () => {
    self: string;
    others: string;
};
export declare const useCreatePermissions: () => {
    self: string;
    others: string;
};
export declare const useEditPermissions: () => {
    self: string;
    others: string;
};
export declare const useManagePermissions: () => {
    self: string;
    others: string;
};
export declare const useDeletePermissions: () => {
    self: string;
    others: string;
};
export declare const usePermissions: () => {
    viewPermission: string;
    managePermission: string;
};
export declare const useSplitTimeRecordsPerDay: (timeRecords: ITimeRecord[]) => any[];
//# sourceMappingURL=index.d.ts.map