import*as React from'react';import {Feature}from'@common-stack/client-react';import {filteredRoutes}from'./compute.js';import {RegisterContribution}from'./register-contribution.js';import ReportWrapper from'../DashboardReport/index.js';import {DashboardFill}from'@adminide-stack/platform-browser';import {dataIdFromObject}from'@admin-layout/timetracker-core';const ReportProvider = () => {
    return (React.createElement(DashboardFill, null,
        React.createElement(ReportWrapper, null)));
};
var TimeTracker = new Feature({
    routeConfig: filteredRoutes,
    dataIdFromObject: dataIdFromObject,
    clientStateParams: {
    // resolvers,
    // defaults
    },
    componentFillPlugins: [
        {
            name: 'register-contribution',
            render: RegisterContribution,
        },
        {
            name: 'report-fill-component',
            render: ReportProvider,
        }
    ],
    stylesInsert: [
        'react-big-calendar/lib/addons/dragAndDrop/styles.css',
        'react-big-calendar/lib/css/react-big-calendar.css'
    ]
});export default TimeTracker;//# sourceMappingURL=module.js.map
