import*as React from'react';import {useState}from'react';import {useFela}from'react-fela';import {Menu,Input,Checkbox,Dropdown,Badge}from'antd';import {CaretDownOutlined}from'@ant-design/icons';import {styles}from'./styles.js';import {WITHOUT,FilterName}from'../ReportFilter.js';const DescriptionDropdown = (props) => {
    const { title, filteredData, setFilteredData } = props;
    const [visible, setVisible] = useState(false);
    const [count, setCount] = useState(0);
    const [description, setDescription] = useState('');
    const [without, setWithout] = useState(false);
    const { css } = useFela();
    const handleVisibleChange = (value) => {
        if (!value) {
            let tempCount = 0;
            if (description === null || description === void 0 ? void 0 : description.trim()) {
                tempCount += 1;
            }
            if (without) {
                tempCount += 1;
            }
            setFilteredData(Object.assign(Object.assign({}, filteredData), { [FilterName.DESCRIPTION]: {
                    input: description,
                    isWithout: without,
                } }));
            setCount(tempCount);
        }
        setVisible(value);
    };
    const onChangeInput = (e) => {
        setDescription(e.target.value);
    };
    const onChangeWithout = (e) => {
        setWithout(e.target.checked);
    };
    const content = (React.createElement(Menu, null,
        React.createElement(Menu.Item, { disabled: true },
            React.createElement(Input, { onChange: onChangeInput, placeholder: 'Enter description...' })),
        React.createElement(Menu.Divider, { className: css(styles.divider) }),
        React.createElement(Menu.Item, { key: WITHOUT, className: css(styles.item) },
            React.createElement(Checkbox, { className: css(styles.checkbox), checked: without, onChange: onChangeWithout }, 'Without description'))));
    return (React.createElement(Dropdown, { overlay: content, trigger: ['click'], placement: "bottomLeft", visible: visible, onVisibleChange: handleVisibleChange },
        React.createElement(Badge, { count: count, style: { background: '#2a90fe' } },
            React.createElement("div", { className: css(styles.flex, styles.m5) },
                React.createElement("div", { className: css(styles.capitalize) }, title),
                React.createElement(CaretDownOutlined, { className: css(styles.m4) })))));
};export{DescriptionDropdown};//# sourceMappingURL=DescriptionDropdown.js.map
