interface IData {
    selectedIds: [string];
}
interface IFilteredData extends Partial<Record<string, IData>> {
}
interface IStatusDropdown {
    title: string;
    filteredData: IFilteredData;
    setFilteredData: Function;
}
export declare enum Status {
    BILLABLE = "Billable",
    NON_BILLABLE = "Non-billable",
    APPROVED = "Approved",
    UNAPPROVED = "Unapproved"
}
export declare const StatusDropdown: (props: IStatusDropdown) => JSX.Element;
export {};
//# sourceMappingURL=StatusDropdown.d.ts.map