import*as React from'react';import {useState}from'react';import {useFela}from'react-fela';import {Menu,Checkbox,Dropdown,Badge}from'antd';import {CaretDownOutlined}from'@ant-design/icons';import {styles}from'./styles.js';import {FilterName}from'../ReportFilter.js';var Status;
(function (Status) {
    Status["BILLABLE"] = "Billable";
    Status["NON_BILLABLE"] = "Non-billable";
    Status["APPROVED"] = "Approved";
    Status["UNAPPROVED"] = "Unapproved";
})(Status || (Status = {}));
const StatusDropdown = (props) => {
    const { title, filteredData, setFilteredData } = props;
    const [visible, setVisible] = useState(false);
    const [checkedList, setCheckedList] = React.useState([]);
    const [count, setCount] = useState(0);
    const { css } = useFela();
    const handleVisibleChange = (value) => {
        if (!value) {
            setCount(checkedList.length);
            setFilteredData(Object.assign(Object.assign({}, filteredData), { [FilterName.STATUS]: {
                    selectedIds: [...checkedList]
                } }));
        }
        setVisible(value);
    };
    const onChange = list => {
        setCheckedList(list);
    };
    const content = (React.createElement(Menu, null,
        React.createElement(Menu.Item, { className: css(styles.disabledItem) },
            React.createElement(Checkbox.Group, { className: css(styles.checkboxGroup), onChange: onChange, value: checkedList },
                React.createElement(Menu, null,
                    React.createElement(Menu.Item, { disabled: true },
                        React.createElement("div", { className: css(styles.label) }, "Billing")),
                    React.createElement(Menu.Item, { key: Status.BILLABLE, className: css(styles.item, styles.mTB0) },
                        React.createElement(Checkbox, { value: Status.BILLABLE, className: css(styles.checkbox) }, Status.BILLABLE)),
                    React.createElement(Menu.Item, { key: Status.NON_BILLABLE, className: css(styles.item, styles.mTB0) },
                        React.createElement(Checkbox, { value: Status.NON_BILLABLE, className: css(styles.checkbox) }, Status.NON_BILLABLE)),
                    React.createElement(Menu.Divider, { className: css(styles.divider) }),
                    React.createElement(Menu.Item, { disabled: true },
                        React.createElement("div", { className: css(styles.label) }, "Approval")),
                    React.createElement(Menu.Item, { key: Status.APPROVED, className: css(styles.item, styles.mTB0) },
                        React.createElement(Checkbox, { value: Status.APPROVED, className: css(styles.checkbox) }, Status.APPROVED)),
                    React.createElement(Menu.Item, { key: Status.UNAPPROVED, className: css(styles.item, styles.mTB0) },
                        React.createElement(Checkbox, { value: Status.UNAPPROVED, className: css(styles.checkbox) }, Status.UNAPPROVED)))))));
    return (React.createElement(Dropdown, { overlay: content, trigger: ['click'], placement: "bottomLeft", visible: visible, onVisibleChange: handleVisibleChange },
        React.createElement(Badge, { count: count, style: { background: '#2a90fe' } },
            React.createElement("div", { className: css(styles.flex, styles.m5) },
                React.createElement("div", { className: css(styles.capitalize) }, title),
                React.createElement(CaretDownOutlined, { className: css(styles.m4) })))));
};export{Status,StatusDropdown};//# sourceMappingURL=StatusDropdown.js.map
