import React__default from'react';import {useFela}from'react-fela';function BillableCheck(props) {
    const { onChange, checked, disabled } = props;
    const { css } = useFela({ checked });
    const handleChange = (e) => {
        if (!disabled)
            onChange();
    };
    return (React__default.createElement("div", { onClick: handleChange, className: css(styles.billable) },
        React__default.createElement("span", null, " $ ")));
}
const styles = {
    billable: ({ theme, checked }) => ({
        fontSize: '20px',
        fontWeight: checked ? 'bold' : 'normal',
        color: checked ? '#1890ff' : '#bbb',
        cursor: 'pointer',
    }),
};export default BillableCheck;//# sourceMappingURL=index.js.map
