import React from 'react';
import { ITimeRecord, IProjects as IProject, ITask } from '@admin-layout/timetracker-core';
import { TRACKER_MODE } from '../../constants';
import { Moment } from 'moment';
export interface ITimeTracker {
    currentTimeRecord: ITimeRecord;
    timer: any;
    isRecording: boolean;
    projects: IProject[];
    tasks: ITask[];
    mode: TRACKER_MODE;
    weekStart: Moment;
    disable: boolean;
    setMode: Function;
    handleStart: (desc?: string) => any;
    handleStop: () => any;
    handlePause: () => any;
    createTimeRecord: (ITimeRecordRequest: any) => void;
    removePlayingTimeRecord: Function;
    updatePlayingTimeRecord: (record: ITimeRecord, debounce?: boolean) => void;
    setCurrentTimeRecord: Function;
    createTask: Function;
}
export declare const TimeTracker: React.FC<ITimeTracker>;
//# sourceMappingURL=index.d.ts.map