import React__default,{useState}from'react';import {useFela}from'react-fela';import {styleSheet}from'./styles.js';import {Space,Button,DatePicker}from'antd';import {useTimeformat}from'../../hooks/index.js';import moment from'moment';const { RangePicker } = DatePicker;
const TimerSearchComponent = ({ weekStart, startTime, endTime, setRange }) => {
    const { css } = useFela();
    const [showCallendar, setShowCallendar] = useState(true);
    const { dateFormat } = useTimeformat();
    const handleChangeRange = (range, str) => {
        const start = range[0];
        const end = range[1];
        setRange({ startTime: start, endTime: end });
    };
    return (React__default.createElement("div", { className: css(styleSheet.timerSearchComponentStyle) },
        React__default.createElement("div", { className: "timer-search" },
            React__default.createElement("div", { className: "timer-search__date-select" }, showCallendar && (React__default.createElement(Space, { direction: "vertical", size: 12 },
                React__default.createElement(RangePicker, { defaultValue: [moment(weekStart), moment(weekStart).startOf('week').add(6, 'day')], value: [moment(weekStart), moment(weekStart).startOf('week').add(6, 'day')], format: dateFormat, onChange: handleChangeRange })))),
            React__default.createElement(Button, { type: "primary", className: "theme-primary" }, "Resets"))));
};export{TimerSearchComponent};//# sourceMappingURL=index.js.map
