import React__default from'react';import {Typography}from'antd';import {useFela}from'react-fela';import {styleSheet}from'./style.js';import DailyRecord from'./DailyRecord/index.js';import {formatDuration}from'../../../services/timeRecordService.js';const WeeklyRecord = (props) => {
    const { Text } = Typography;
    const { css } = useFela();
    const { log } = props;
    return (React__default.createElement(React__default.Fragment, null,
        React__default.createElement("div", { className: css(styleSheet.weeklyRecord) },
            React__default.createElement(Text, { className: "date-text" }, log.dates),
            React__default.createElement("div", null,
                React__default.createElement(Text, { className: "title" }, "Weekly Total"),
                React__default.createElement(Text, { className: "duration" }, formatDuration(log.duration)))),
        React__default.createElement("div", { className: "daily" }, log.groupedDays.map((day, index) => React__default.createElement(DailyRecord, { key: index, record: day })))));
};export default WeeklyRecord;//# sourceMappingURL=index.js.map
