import { Moment } from 'moment';
import { ITimeRecord, IProjects as IProject, ITask } from '@admin-layout/timetracker-core';
interface IRange {
    startTime: Moment;
    endTime: Moment;
}
interface ITimerActivityProps {
    isMobile: any;
    currentTeam: any;
    pagination: any;
    timeRecords: [ITimeRecord];
    timer: any;
    currentTimeRecord: ITimeRecord;
    isRecording: boolean;
    projects: Array<IProject>;
    tasks: Array<ITask>;
    weekStart: Moment;
    range: IRange;
    createTimeRecord: (ITimeRecordRequest: any) => any;
    removeTimeRecord: (string: any) => void;
    updateTimeRecord: (string: any, ITimeRecordRequest: any) => any;
    removePlayingTimeRecord: Function;
    setCurrentTimeRecord: Function;
    setIsRecording: Function;
    setRange: Function;
    createTask: Function;
}
declare const TimerActivity: (props: ITimerActivityProps) => JSX.Element;
export default TimerActivity;
export declare const styleSheet: {
    root: () => {
        position: string;
        width: string;
        '& .main-page': {
            display: string;
            flexDirection: string;
            '@media(max-width: 758px)': {
                padding: string;
                marginLeft: string;
                marginRight: string;
            };
            fontSize: string;
            lineHeight: string;
            overflow: string;
            height: string;
        };
        '& .main-page__list': {
            flexGrow: string;
            height: string;
            backgroundColor: string;
        };
        '& .mainPage--mobile': {
            padding: string;
        };
    };
};
//# sourceMappingURL=TimerActivity.d.ts.map