import { Moment } from 'moment';
import { ITimeRecord, IProjects as IProject, ITask, IOrgMember as IMember, ITimeRecordRequest } from '@admin-layout/timetracker-core';
import { ITimeRecordWithSplitStatus } from '../Tabular';
interface ITimesheetProps {
    userId: string;
    events: ITimeRecordWithSplitStatus[];
    isShowModal: boolean;
    selectedProject: string;
    selectedTask: string;
    selectedUser: any;
    selectedEvent: ITimeRecord;
    loading: boolean;
    projects: Array<IProject>;
    tasks: Array<ITask>;
    members: Array<IMember>;
    localizer: any;
    weekStart: Moment;
    setSelectedEvent: Function;
    setPathWeekStart: Function;
    handleAddTimeRecordEvent: (request: ITimeRecordRequest) => void;
    handleUpdateTimeRecordEvent: (recordId: string, request: ITimeRecordRequest) => void;
    handleRemoveTimeRecordEvent: () => void;
    handleOpenNewTimeModal: () => void;
    handleCloseTimeModal: () => void;
    handleSelectSlot: (any: any) => void;
    handleSelectEvent: (any: any) => void;
    handleChangeTask: (any: any) => void;
}
export default function SelectableCalendar({ userId, events, projects, members, isShowModal, loading, selectedEvent, handleAddTimeRecordEvent, handleUpdateTimeRecordEvent, handleRemoveTimeRecordEvent, handleCloseTimeModal, handleSelectSlot, handleSelectEvent, handleOpenNewTimeModal, localizer, weekStart, setPathWeekStart, }: ITimesheetProps): JSX.Element;
export {};
//# sourceMappingURL=Timesheet.d.ts.map