import {__rest}from'tslib';import*as React from'react';import {useMemo}from'react';import {Menu,Dropdown,Button,Popconfirm}from'antd';import {DownOutlined}from'@ant-design/icons';import {map}from'lodash';const Action = (props) => {
    const { name, action, wrapper, danger, message } = props, rest = __rest(props, ["name", "action", "wrapper", "danger", "message"]);
    const btn = danger ?
        (React.createElement(Popconfirm, { placement: "topLeft", title: message, onConfirm: action, okText: "Yes", cancelText: "No" },
            React.createElement(Button, Object.assign({ size: "small" }, rest, { danger: danger }), name))) : React.createElement(Button, Object.assign({ size: "small", onClick: action }, rest), name);
    return wrapper ? wrapper(btn) : btn;
};
const menu = (actions) => (React.createElement(Menu, null, map(actions, (action, key) => React.createElement(Menu.Item, { key: key },
    " ",
    React.createElement(Action, Object.assign({ key: key }, action)),
    " "))));
const TableActions = ({ actions }) => {
    const menuOverlay = useMemo(() => menu(actions), [actions]);
    const onClick = e => e.preventDefault();
    return (React.createElement(Dropdown, { overlay: menuOverlay },
        React.createElement(Button, { onClick: onClick },
            "Actions ",
            React.createElement(DownOutlined, null))));
};export{Action,TableActions};//# sourceMappingURL=TableAction.js.map
