import moment, { Moment } from 'moment';
/**
 * Format seconds to time
 *
 * @param seconds
 * @return hh:mm:ss
 */
export declare const formatDuration: (sec: number, timeFormat?: string) => any;
/**
 * Get duration from time string formated hh:mm:ss
 * @param str
 * @return seconds
 */
export declare const stringToDuration: (str: string) => number;
/**
 *
 * @param date Moment
 * @param roundSeconds Number of seconds
 * @param method Enum of { "ceil", "floor", "round" }
 * @returns roundedDate
 */
export declare function roundDate(date: Moment, roundSeconds: any, method: any): moment.Moment;
/**
 *
 * @param duration Number of duration
 * @param roundSeconds Number of seconds
 * @param method Enum of { "ceil", "floor", "round" }
 * @returns roundedDuration
 */
export declare function roundDuration(duration: any, roundSeconds: any, method: any): number;
/**
 * Return seconds from timestring
 * @param str:string
 * @returns
 */
export declare const getSecsFromString: (str: string) => number;
//# sourceMappingURL=timeRecordService.d.ts.map